from django.contrib import admin

from models import FrameOpinion, FramePosition, GeneralSelectivePreference, \
                   LexicalUnitExamples, SelectivePreferenceRelations, SemanticFrame, \
                   SemanticRole, SemanticRolesDisplay

class LexicalUnitExamplesAdmin(admin.ModelAdmin):
    search_fields  = ('id',)

class SemanticRoleAdmin(admin.ModelAdmin):
    search_fields  = ('role',)

admin.site.register(FrameOpinion)
admin.site.register(FramePosition)
admin.site.register(GeneralSelectivePreference)
admin.site.register(LexicalUnitExamples, LexicalUnitExamplesAdmin)
admin.site.register(SemanticFrame)
admin.site.register(SelectivePreferenceRelations)
admin.site.register(SemanticRolesDisplay)
admin.site.register(SemanticRole, SemanticRoleAdmin)
